package org.daiquiri.examples;


import org.daiquiri.DaiquiriAnnotations;
import org.daiquiri.annotations.MockContext;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.MockitoAnnotations;
import org.testng.Assert;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import javax.naming.InitialContext;

import static org.daiquiri.Daiquiri.Naming.mockInitialContext;

public class LicenseCheckerAnnotationTest {

    LicenseChecker checker = new LicenseChecker(10);

    @MockContext
    private InitialContext mockContext;


    @BeforeMethod
    public void beforeMethod() {
        DaiquiriAnnotations.init(this);
    }

    @Test
    public void can_add_users_return_true() throws Exception{
        mockContext.bind(LicenseChecker.MAX_LICENSE, new Integer(15));

        Assert.assertTrue(checker.canAddUsers(4));
    }

    @Test
    public void can_add_users_return_false() throws Exception{
        mockContext.bind(LicenseChecker.MAX_LICENSE, new Integer(15));

        Assert.assertFalse(checker.canAddUsers(6));
    }

}
