package org.daiquiri.examples;


import org.daiquiri.DaiquiriAnnotations;
import org.daiquiri.annotations.MockContext;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.MockitoAnnotations;
import org.testng.Assert;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import javax.naming.InitialContext;

public class LicenseCheckerMockitoAnnotationTest {

    LicenseChecker checker = new LicenseChecker(10);

    @MockContext
    @Mock
    private InitialContext mockContext;

    @BeforeMethod
    public void beforeMethod() {
        MockitoAnnotations.initMocks(this);
        DaiquiriAnnotations.init(this);
    }


    @Test
    public void can_add_users_return_true_with_mockito() throws Exception{
        Mockito.when(mockContext.lookup(LicenseChecker.MAX_LICENSE)).thenReturn(new Integer(15));

        Assert.assertTrue(checker.canAddUsers(4));
    }

    @Test
    public void can_add_users_return_false_with_mockito() throws Exception{
        Mockito.when(mockContext.lookup(LicenseChecker.MAX_LICENSE)).thenReturn(new Integer(15));

        Assert.assertFalse(checker.canAddUsers(6));
    }
}
